namespace :deploy do
  desc 'Copy Stage specific configs into place'
  task :copy_overrides do
    on roles(:app), :only => { :primary => true } do
      within release_path do
        source = "#{release_path}/config/overrides/#{fetch(:stage)}"
        target = "#{release_path}/config"
        execute %Q([ -d #{source} ] && cp -R #{source}/* #{target} || true)
      end
    end
  end
end

before "deploy:copy_overrides", "deploy:copy_secure_overrides"
